Skip to main content
POST
Create medication statement

Authorizations

Authorization
string
header
required

Service (M2M) access token issued by POST /auth/token using the client_credentials grant. Required scopes, where known, are listed on each operation below.

Body

application/json
status
enum<string>
required
Available options:
active,
completed,
entered-in-error,
intended,
stopped,
on-hold,
unknown,
not-taken
medication
object
required
subject_id
string
required
Required string length: 1 - 64
category
object
context_id
string
Required string length: 1 - 64
effective_date_time
string
Maximum string length: 64
Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?(Z|[+-]\d{2}:\d{2}))?$
effective_period
object
date_asserted
string
Maximum string length: 64
Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?(Z|[+-]\d{2}:\d{2}))?$
information_source
object
reason_codes
object[]
Maximum array length: 20
note
string | null
Maximum string length: 4000

Response

Created

data
object
required
request_id
string
required